MyGUI::xml::ElementType Struct Reference

`#include <MyGUI_XmlDocument.h>`

## Public Types

enum | Enum { Comment , Declaration , Normal , MAX }

## Public Member Functions

| ElementType (Enum _value=MAX)
int | getValue () const

## Friends

bool | operator== (ElementType const &a, ElementType const &b)
bool | operator!= (ElementType const &a, ElementType const &b)

## Detailed Description

Definition at line 27 of file MyGUI_XmlDocument.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::xml::ElementType::Enum

Enumerator
Comment |
Declaration |
Normal |
MAX |

Definition at line 29 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

## ElementType()

MyGUI::xml::ElementType::ElementType | ( | Enum | _value = MAX | ) |

inline

Definition at line 37 of file MyGUI_XmlDocument.h.

## Member Function Documentation

## getValue()

int MyGUI::xml::ElementType::getValue | ( |  | ) | const

inline

Definition at line 50 of file MyGUI_XmlDocument.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | ElementType const & | a,
|  | ElementType const & | b )

friend

Definition at line 45 of file MyGUI_XmlDocument.h.

## operator==

bool operator== | ( | ElementType const & | a,
|  | ElementType const & | b )

friend

Definition at line 41 of file MyGUI_XmlDocument.h.

The documentation for this struct was generated from the following file:

- MyGUI_XmlDocument.h